## prometheus 2.20.0+ds

=== debian/changelog ===
prometheus (2.20.0+ds-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Add b-d on golang-github-docker-docker-dev
  * Add b-d on golang-github-digitalocean-godo-dev
  * Update version constraint of golang-github-prometheus-client-golang-dev
  * d/p/06-Disable_TSDB_lockfile.patch: updated to fix a tsdb test

 -- Lucas Kanashiro <kanashiro@debian.org>  Thu, 23 Jul 2020 16:57:30 -0300

prometheus (2.19.2+ds-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * d/prometheus.templates: Fix syntax lintian nag
  * Run debconf-updatepo

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Wed, 08 Jul 2020 14:42:00 +0000

prometheus (2.18.2+ds-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release
  * Refresh patches
  * Add patch to disable Jaeger tracing
  * Add d/upstream/metadata, fix a few lintian nags
  * d/lintian-overrides: fix package name
  * d/control: add new build-dep golang-github-oklog-run-dev

  [ Lucas Kanashiro ]
  * Fix Author field of the patches' headers. The value generated from
    Gpb-Pq was not reflecting the original patch author.

  [ Martina Ferrari ]
  * debian/defaults: Update cmdline options.
  * Update my name and email.

 -- Martina Ferrari <tina@debian.org>  Sat, 04 Jul 2020 22:19:59 +0000

prometheus (2.17.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches
  * Update years of upstream copyright

 -- Lucas Kanashiro <kanashiro@debian.org>  Wed, 24 Jun 2020 18:09:46 +0100

prometheus (2.16.0+ds-1) unstable; urgency=medium

  [ Martina Ferrari ]
  * New upstream release.

  [ Lucas Kanashiro ]
  * Add patch to fix path to prom config file in tests
  * Add patch to set temp storage path to tsdb
  * Add patch to revert commit 2908653
  * d/p/05-Fix-test-prom-invocations.patch: change port used in
    TestReadyAndHealthy
  * Add myself to the Uploaders list
  * Bump debhelper compatibility level to 13
  * Declare compliance with Debian Policy 4.5.0

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 15 Jun 2020 09:55:04 -0300
