=== debian/control ===
--- 
+++ 
@@ -1,19 +1,23 @@
 Source: prometheus
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Martina Ferrari <tincho@debian.org>,
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Martina Ferrari <tina@debian.org>,
            Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
+           Lucas Kanashiro <kanashiro@debian.org>
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang (>= 1.39~),
                gogoprotobuf (>= 1.0.0+git20180330~),
                golang-github-aws-aws-sdk-go-dev (>= 1.4),
                golang-github-cespare-xxhash-dev,
                golang-github-cockroachdb-cmux-dev,
+               golang-github-digitalocean-godo-dev,
+               golang-github-docker-docker-dev,
                golang-github-edsrzf-mmap-go-dev,
                golang-github-fsnotify-fsnotify-dev (>= 1.4.7-2~),
                golang-github-go-kit-kit-dev,
+               golang-github-go-openapi-strfmt-dev,
                golang-github-gogo-protobuf-dev (>= 1.0.0+git20180330~),
                golang-github-golang-snappy-dev,
                golang-github-google-pprof-dev,
@@ -23,12 +27,13 @@
                golang-github-json-iterator-go-dev,
                golang-github-miekg-dns-dev (>= 0.0~git20170501),
                golang-github-mwitkow-go-conntrack-dev,
+               golang-github-oklog-run-dev,
                golang-github-oklog-ulid-dev (>= 1.3.1~),
                golang-github-opentracing-contrib-go-stdlib-dev (>= 0.0~git20190519.cf7a6c9~),
                golang-github-opentracing-opentracing-go-dev,
                golang-github-pkg-errors-dev,
                golang-github-prometheus-alertmanager-dev (>= 0.18.0~),
-               golang-github-prometheus-client-golang-dev (>= 1.2.1~),
+               golang-github-prometheus-client-golang-dev (>= 1.7.1~),
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev (>= 0.7.0~),
                golang-github-samuel-go-zookeeper-dev,
@@ -43,9 +48,11 @@
                golang-google-grpc-dev (>= 1.6.0~),
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-yaml.v2-dev (>= 2.2.1-1~),
+               golang-gopkg-yaml.v3-dev,
                golang-grpc-gateway,
                po-debconf,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus.git
 Homepage: https://prometheus.io/
@@ -53,7 +60,7 @@
 
 Package: prometheus
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends},
 Depends: adduser,
          daemon | systemd-sysv,
          fonts-glyphicons-halflings,
