## prometheus 2.22.0+ds

=== debian/changelog ===
prometheus (2.22.0+ds-1) unstable; urgency=medium

  * New upstream release
  * Standalone tsdb CLI tool is now a subcommand of promtool
  * Re-enable Azure service discovery
  * Refresh patches
  * Drop obsolete patches
    - 00-Disable_azure.patch
    - 12-Revert_commit_2908653.patch
    - 14-Use-SAN-in-test-certificate.patch
  * Add new patches
    - 04-Disable_hetzner_robot.patch
    - 14-Disable_built-in_assets.patch
    - 15-Disable_wal_test_goleak.patch
  * Add new build-dependencies
    - golang-github-hetznercloud-hcloud-go-dev
    - golang-go.uber-atomic-dev
  * Bump minimum required golang-github-prometheus-common-dev

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Tue, 20 Oct 2020 14:51:25 +0000

prometheus (2.20.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Backport patch to fix tests with go1.15 (Closes: #971212)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 07 Oct 2020 17:16:33 +0800
