=== debian/control ===
--- 
+++ 
@@ -10,6 +10,8 @@
                dh-golang (>= 1.39~),
                gogoprotobuf (>= 1.0.0+git20180330~),
                golang-github-aws-aws-sdk-go-dev (>= 1.4),
+               golang-github-azure-azure-sdk-for-go-dev,
+               golang-github-azure-go-autorest-dev,
                golang-github-cespare-xxhash-dev,
                golang-github-cockroachdb-cmux-dev,
                golang-github-digitalocean-godo-dev,
@@ -24,6 +26,7 @@
                golang-github-gophercloud-gophercloud-dev (>= 0.3.0~),
                golang-github-grpc-ecosystem-grpc-gateway-dev,
                golang-github-hashicorp-consul-dev (>= 1.1.0~),
+               golang-github-hetznercloud-hcloud-go-dev,
                golang-github-json-iterator-go-dev,
                golang-github-miekg-dns-dev (>= 0.0~git20170501),
                golang-github-mwitkow-go-conntrack-dev,
@@ -35,9 +38,10 @@
                golang-github-prometheus-alertmanager-dev (>= 0.18.0~),
                golang-github-prometheus-client-golang-dev (>= 1.7.1~),
                golang-github-prometheus-client-model-dev,
-               golang-github-prometheus-common-dev (>= 0.7.0~),
+               golang-github-prometheus-common-dev (>= 0.14.0~),
                golang-github-samuel-go-zookeeper-dev,
                golang-go (>= 2:1.10~),
+               golang-go.uber-atomic-dev,
                golang-golang-x-net-dev (>= 1:0.0+git20180124),
                golang-golang-x-oauth2-google-dev,
                golang-golang-x-sync-dev,
@@ -66,7 +70,7 @@
          fonts-glyphicons-halflings,
          libjs-bootstrap4,
          libjs-eonasdan-bootstrap-datetimepicker,
-         libjs-jquery (>= 1.11.3~),
+         libjs-jquery (>= 3.5.1~),
          libjs-jquery-hotkeys,
          libjs-moment,
          libjs-moment-timezone,
