=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,6 @@
 
 WHATIS1 := "prometheus \\- The Prometheus monitoring server"
 WHATIS2 := "promtool \\- Tooling for the Prometheus monitoring system"
-WHATIS3 := "tsdb \\- CLI to the Prometheus TSDB"
 PROMPB := $(CURDIR)/build/src/github.com/prometheus/prometheus/prompb
 
 override_dh_auto_configure:
@@ -52,11 +51,6 @@
             -I$(BUILDDIR)/src/github.com/gogo/protobuf \
             -I$(BUILDDIR)/src/github.com/grpc-ecosystem/grpc-gateway/third_party/googleapis \
             $(PROMPB)/*.proto
-	protoc --grpc-gateway_out=logtostderr=true:$(PROMPB) \
-            -I$(PROMPB) \
-            -I$(BUILDDIR)/src/github.com/gogo/protobuf \
-            -I$(BUILDDIR)/src/github.com/grpc-ecosystem/grpc-gateway/third_party/googleapis \
-            $(PROMPB)/rpc.proto
 
 # Exclude package without non-test files.
 override_dh_auto_build: DH_GOLANG_EXCLUDES += tsdb/test
@@ -64,13 +58,9 @@
 	dh_auto_build -- $(BUILDFLAGS)
 	build/bin/prometheus --help-man > build/prometheus.1
 	build/bin/promtool --help-man > build/promtool.1
-	build/bin/tsdb --help-man > build/tsdb.1
-	# Remove build user/build date/go version headers, which is ugly.
-	sed -i -e '/^  /d' build/prometheus.1 build/promtool.1 build/tsdb.1
 	# Fix whatis entry.
 	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS1) build/prometheus.1
 	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS2) build/promtool.1
-	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS3) build/tsdb.1
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
