=== debian/changelog ===
prometheus (2.24.1+ds-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release
  * Refresh patches

 -- Martina Ferrari <tina@debian.org>  Wed, 20 Jan 2021 14:35:15 +0000

prometheus (2.24.0+ds-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release
  * Add missing build-dep golang-github-alecthomas-units-dev
  * Add new build-dep golang-github-stretchr-testify-dev
  * Refresh patches
  * d/watch: update to version 4 format
  * Add vendored github.com/prometheus/exporter-toolkit

  [ Guillem Jover ]
  * Switch to Standards-Version 4.5.1 (no changes needed)
  * Remove nocheck handling from override_dh_auto_test. This is handled
    automatically since debhelper compatibility level 13.
  * Remove code switching symlinks to directories. This would ideally use
    dpkg-maintscript-helper, but it's now been enough time that it should
    not be needed anymore. Remove the maintainer script.
  * Remove leftover templates.old debconf file
  * Remove old Prometheus version 1 database handling code. This happened
    between the current Debian oldstable (stretch) and stable (buster),
    and we do not support upgrades across multiple releases. Remove the no
    longer needed database format support.
  * Change systemd service Restart directive from always to on-failure.
    The always value is unusual, as it ignores successful exits. The
    prometheus daemon can also be requested to exit from its API, that
    should be honored.
  * Do not enable DH_VERBOSE by default. The default should be fine.
  * Use $() instead of `` in init script
  * Use '' instead of `' in text
  * Remove unnecessary error suppression from init script. The init script
    does not run with «set -e» so there is no need to suppress errors. And
    in any case this error should not be suppressed as that would make the
    daemon fail anyway.
  * Remove error suppression from postinst. These commands need to succeed
    for the program to be considered configured. Ignoring them will mean a
    non-functional installation anyway.
  * Run adduser unconditionally. The adduser command handles existing
    users gracefully, so there is no need to check for them beforehand.
  * Do not change pathname metadata if there are dpkg statoverrides in
    place. These are user specified overrides which we should respect, as
    dpkg does when unpacking these pathnames.
  * Update gitignore file
  * Remove $syslog dependency from init script. We write directly into the
    log file.
  * Remove all rotated logs on purge
  * Add man:prometheus(1) to systemd unit Documentation field
  * Switch from /var/run to /run
  * Rewrite init script using start-stop-daemon. This removes the
    dependency on daemon | systemd-sysv, and simplifies the init script
    substantially.
  * Do not change the permission for /var/log/prometheus anymore. On
    sysvinit systems, the log file is now owned by root so there is no
    need to change the owner and group of the log directory anymore.

  [ Michael Prokop ]
  * Harden prometheus systemd service (Closes: #950759)

 -- Martina Ferrari <tina@debian.org>  Wed, 20 Jan 2021 02:52:40 +0000
