=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang (>= 1.39~),
                gogoprotobuf (>= 1.0.0+git20180330~),
+               golang-github-alecthomas-units-dev,
                golang-github-aws-aws-sdk-go-dev (>= 1.4),
                golang-github-azure-azure-sdk-for-go-dev,
                golang-github-azure-go-autorest-dev,
@@ -40,6 +41,7 @@
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev (>= 0.14.0~),
                golang-github-samuel-go-zookeeper-dev,
+               golang-github-stretchr-testify-dev,
                golang-go (>= 2:1.10~),
                golang-go.uber-atomic-dev,
                golang-golang-x-net-dev (>= 1:0.0+git20180124),
@@ -54,8 +56,7 @@
                golang-gopkg-yaml.v2-dev (>= 2.2.1-1~),
                golang-gopkg-yaml.v3-dev,
                golang-grpc-gateway,
-               po-debconf,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus.git
@@ -66,7 +67,6 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends},
 Depends: adduser,
-         daemon | systemd-sysv,
          fonts-glyphicons-halflings,
          libjs-bootstrap4,
          libjs-eonasdan-bootstrap-datetimepicker,
