=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,8 @@
 # -*- Mode: makefile -*-
 include /usr/share/dpkg/pkg-info.mk
 
-export DH_VERBOSE=1
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
 # Include test fixtures.
 export DH_GOLANG_INSTALL_EXTRA := promql/fuzz-data \
     config/testdata discovery/file/fixtures pkg/rulefmt/testdata \
@@ -63,9 +64,7 @@
 	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS2) build/promtool.1
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_test -- $(TESTFLAGS)
-endif
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source
