=== debian/changelog ===
prometheus (2.31.2+ds1-1ubuntu1) jammy; urgency=medium

  * Temporarily allow SHA1 certs in test cases only to fix tests with Go 1.18

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Thu, 17 Mar 2022 11:26:29 -0500

prometheus (2.31.2+ds1-1) unstable; urgency=medium

  * Team upload.

  [ Daniel Swarbrick ]
  * New upstream release (bugfix only).
  * Update my email address.
  * d/copyright: fix typo in Files-Excluded field.

  [ Guillem Jover ]
  * Add missing sources for bootstrap3-typeahead as debian/copyright documents.

 -- Guillem Jover <gjover@sipwise.com>  Sat, 22 Jan 2022 03:07:45 +0100

prometheus (2.31.1+ds2-2) unstable; urgency=medium

  * Team upload.
  * Require golang-github-prometheus-common-dev (>= 0.32.1-4~). From -2 to -3
    part of an API break was reverted, which at the same time broke this
    package. Require the unbroken version to make sure the builds succeed.

 -- Guillem Jover <gjover@sipwise.com>  Fri, 26 Nov 2021 23:45:46 +0100

prometheus (2.31.1+ds2-1) unstable; urgency=medium

  * Team upload.
  * Update debian/watch.
  * Update Files-Exclude to match unvendoring.
  * Remove vendored dennwc/varint now available in Debian.
  * Switch from vendored dennwc/varint to packaged one.
  * Switch to go-kit/log and remove reverting patch.

 -- Guillem Jover <gjover@sipwise.com>  Thu, 25 Nov 2021 19:37:49 +0100

prometheus (2.31.1+ds1-1) unstable; urgency=medium

  * Team upload.

  [ Guillem Jover ]
  * New upstream release.
    - Fix build failure in test suite with Go 1.16. (Closes: #995999)
  * Use $(BUILDDIR) uniformly instead of the literal build/.
  * Update copyright claims.
  * Move note about license location on Debian systems into a Comment field.
  * Update version.BuildUser to match the Maintainer address.
  * Decapitalize synopsis first word.
  * Update gitlab-ci.yml from latest upstream version.
  * Add After=time-sync.target to systemd unit file. (Closes: #981110)
  * Switch to Standards-Version 4.6.0 (no changes needed).
  * Add missing build dependencies needed by new upstream release.
  * Refresh patches for new upstream release.
  * Disable XDS, Uyuni, Linode and Scaleway support.
  * Revert upstream commits introducing unavailable dependencies.
  * Fix test failure for dennwc/varint.
  * Replace patch with entry in DH_GOLANG_INSTALL_EXTRA.
  * Add required fixtures for new upstream release to DH_GOLANG_INSTALL_EXTRA.
  * Use dh-sequence-golang instead of dh-golang and --with=golang.
  * Update debian/copyright for new upstream.
  * Update default file from latest upstream output.
  * Add /.pc/ to .gitignore.
  * Switch to use .build/ as the build directory like upstream.

  [ Daniel Swarbrick ]
  * Unvendor github.com/prometheus/exporter-toolkit
  * Add new build-dep golang-github-prometheus-exporter-toolkit-dev

  [ Martina Ferrari ]
  * Correct my email address.

 -- Guillem Jover <gjover@sipwise.com>  Thu, 18 Nov 2021 19:18:18 +0100
