=== debian/control ===
--- 
+++ 
@@ -1,25 +1,28 @@
 Source: prometheus
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
-           Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
+           Daniel Swarbrick <dswarbrick@debian.org>,
            Lucas Kanashiro <kanashiro@debian.org>
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-golang (>= 1.39~),
+               dh-sequence-golang,
                gogoprotobuf (>= 1.0.0+git20180330~),
-               golang-github-alecthomas-units-dev,
+               golang-github-alecthomas-units-dev (>= 0.0~git20210927.59d0afb),
                golang-github-aws-aws-sdk-go-dev (>= 1.4),
                golang-github-azure-azure-sdk-for-go-dev,
                golang-github-azure-go-autorest-dev,
                golang-github-cespare-xxhash-dev,
                golang-github-cockroachdb-cmux-dev,
+               golang-github-dennwc-varint-dev,
+               golang-github-dgryski-go-sip13-dev <!nocheck>,
                golang-github-digitalocean-godo-dev,
                golang-github-docker-docker-dev,
                golang-github-edsrzf-mmap-go-dev,
                golang-github-fsnotify-fsnotify-dev (>= 1.4.7-2~),
-               golang-github-go-kit-kit-dev,
+               golang-github-go-kit-log-dev,
                golang-github-go-openapi-strfmt-dev,
                golang-github-gogo-protobuf-dev (>= 1.0.0+git20180330~),
                golang-github-golang-snappy-dev,
@@ -27,7 +30,7 @@
                golang-github-gophercloud-gophercloud-dev (>= 0.3.0~),
                golang-github-grpc-ecosystem-grpc-gateway-dev,
                golang-github-hashicorp-consul-dev (>= 1.1.0~),
-               golang-github-hetznercloud-hcloud-go-dev,
+               golang-github-hetznercloud-hcloud-go-dev (>= 1.32.0~),
                golang-github-json-iterator-go-dev,
                golang-github-miekg-dns-dev (>= 0.0~git20170501),
                golang-github-mwitkow-go-conntrack-dev,
@@ -39,7 +42,8 @@
                golang-github-prometheus-alertmanager-dev (>= 0.18.0~),
                golang-github-prometheus-client-golang-dev (>= 1.7.1~),
                golang-github-prometheus-client-model-dev,
-               golang-github-prometheus-common-dev (>= 0.14.0~),
+               golang-github-prometheus-common-dev (>= 0.32.1-4~),
+               golang-github-prometheus-exporter-toolkit-dev,
                golang-github-samuel-go-zookeeper-dev,
                golang-github-stretchr-testify-dev,
                golang-go (>= 2:1.10~),
@@ -56,7 +60,8 @@
                golang-gopkg-yaml.v2-dev (>= 2.2.1-1~),
                golang-gopkg-yaml.v3-dev,
                golang-grpc-gateway,
-Standards-Version: 4.5.1
+               golang-uber-goleak-dev,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus.git
@@ -81,7 +86,7 @@
          ${shlibs:Depends},
 Recommends: prometheus-node-exporter,
 Built-Using: ${misc:Built-Using},
-Description: Monitoring system and time series database
+Description: monitoring system and time series database
  Prometheus is a systems and services monitoring system. It collects metrics
  from configured targets at given intervals, evaluates rule expressions,
  displays the results, and can trigger alerts if some condition is observed to
