=== debian/changelog ===
prometheus (2.33.5+ds1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * debian/control: Adjust dependencies versions to avoid build failures.

 -- Martina Ferrari <tina@debian.org>  Sat, 20 Aug 2022 12:29:59 +0000

prometheus (2.33.5+ds1-2) unstable; urgency=medium

  * New patch: Avoid literal integer overflows in 32 bit arches.
  * debian/rules: Avoid test failures due to newer crypto/x509
    requirements.

 -- Martina Ferrari <tina@debian.org>  Wed, 23 Mar 2022 22:28:20 +0000

prometheus (2.33.5+ds1-1) unstable; urgency=medium

  * New upstream release.
  * debian/gbp.conf: Avoid re-creating orig tarball.
  * debian/copyright: Exclude more files from React UI.
  * Refresh and reorganise patches.
    - Removed 11-Set_temporary_storage_path_for_tsdb.patch as the fix was
      implemented upstream.
    - Renamed and split 01-Do_not_embed_blobs.patch into
      11-Disable_react_UI.patch and 12-Do_not_embed_blobs.patch to separate
      concerns and reflect actual patch order.
  * debian/patches: Add classic UI page for agent mode.
  * debian/rules: Update test data paths.
  * debian/default: Update available flags and descriptions.
  * debian/copyright: Update years.

 -- Martina Ferrari <tina@debian.org>  Wed, 16 Mar 2022 06:03:09 +0000
