=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: prometheus
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
            Daniel Swarbrick <dswarbrick@debian.org>,
            Lucas Kanashiro <kanashiro@debian.org>
@@ -31,7 +30,7 @@
                golang-github-grpc-ecosystem-grpc-gateway-dev,
                golang-github-hashicorp-consul-dev (>= 1.1.0~),
                golang-github-hetznercloud-hcloud-go-dev (>= 1.32.0~),
-               golang-github-json-iterator-go-dev,
+               golang-github-json-iterator-go-dev (>= 1.1.12~),
                golang-github-miekg-dns-dev (>= 0.0~git20170501),
                golang-github-mwitkow-go-conntrack-dev,
                golang-github-oklog-run-dev,
@@ -40,13 +39,13 @@
                golang-github-opentracing-opentracing-go-dev,
                golang-github-pkg-errors-dev,
                golang-github-prometheus-alertmanager-dev (>= 0.18.0~),
-               golang-github-prometheus-client-golang-dev (>= 1.7.1~),
+               golang-github-prometheus-client-golang-dev (>= 1.11.0~),
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev (>= 0.32.1-4~),
                golang-github-prometheus-exporter-toolkit-dev,
                golang-github-samuel-go-zookeeper-dev,
-               golang-github-stretchr-testify-dev,
-               golang-go (>= 2:1.10~),
+               golang-github-stretchr-testify-dev (>= 1.7.0~),
+               golang-go (>= 2:1.16~),
                golang-go.uber-atomic-dev,
                golang-golang-x-net-dev (>= 1:0.0+git20180124),
                golang-golang-x-oauth2-google-dev,
