=== debian/rules ===
--- 
+++ 
@@ -4,21 +4,36 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
 # Include test fixtures.
-export DH_GOLANG_INSTALL_EXTRA := promql/fuzz-data \
-    config/testdata discovery/file/fixtures pkg/rulefmt/testdata \
-    promql/testdata rules/fixtures scrape/testdata
+export DH_GOLANG_INSTALL_EXTRA := \
+    cmd/prometheus/testdata \
+    cmd/promtool/testdata \
+    config/testdata \
+    discovery/file/fixtures \
+    discovery/http/fixtures \
+    discovery/moby/testdata \
+    discovery/puppetdb/fixtures \
+    documentation/examples/prometheus-agent.yml \
+    documentation/examples/prometheus.yml \
+    model/rulefmt/testdata \
+    promql/fuzz-data \
+    promql/testdata \
+    rules/fixtures \
+    scrape/testdata \
+    tsdb/testdata \
+    # EOL
 
 # Do not build examples.
-export DH_GOLANG_EXCLUDES := documentation vendor
+export DH_GOLANG_EXCLUDES := documentation
 
-BUILDDIR := $(CURDIR)/build
+BUILDDIR := $(CURDIR)/.build
 METAPKG := github.com/prometheus/common
 
 # Taken and modified from the project's Makefile.
 
 BRANCH     := debian/sid
-USER       := pkg-go-maintainers@lists.alioth.debian.org
+USER       := team+pkg-go@tracker.debian.org
 BUILD_DATE  = $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
     +%Y%m%d-%H:%M:%S)
 GO_VERSION  = $(shell go version | sed 's/go version \(\S*\).*/\1/')
@@ -39,11 +54,11 @@
 
 %:
 	# stop the service before upgrading, so we can move the v1 database away
-	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)
+	dh $@ --buildsystem=golang --builddirectory=$(BUILDDIR)
 
 WHATIS1 := "prometheus \\- The Prometheus monitoring server"
 WHATIS2 := "promtool \\- Tooling for the Prometheus monitoring system"
-PROMPB := $(CURDIR)/build/src/github.com/prometheus/prometheus/prompb
+PROMPB := $(BUILDDIR)/src/github.com/prometheus/prometheus/prompb
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(BUILDFLAGS)
@@ -57,12 +72,15 @@
 override_dh_auto_build: DH_GOLANG_EXCLUDES += tsdb/test
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDFLAGS)
-	build/bin/prometheus --help-man > build/prometheus.1
-	build/bin/promtool --help-man > build/promtool.1
+	$(BUILDDIR)/bin/prometheus --help-man > $(BUILDDIR)/prometheus.1
+	$(BUILDDIR)/bin/promtool --help-man > $(BUILDDIR)/promtool.1
 	# Fix whatis entry.
-	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS1) build/prometheus.1
-	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS2) build/promtool.1
+	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS1) $(BUILDDIR)/prometheus.1
+	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS2) $(BUILDDIR)/promtool.1
 
+# Avoid test failures due to newer crypto/x509 requirements until upstream
+# updates the test CA certificate.
+override_dh_auto_test: export GODEBUG := x509sha1=1
 override_dh_auto_test:
 	dh_auto_test -- $(TESTFLAGS)
